Bug 52059 - Windows Registry are not removed after uninstall
Windows Registry are not removed after uninstall
Product: Tomcat 5
Classification: Unclassified
Component: Native:Packaging
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2011-10-19 15:56 UTC by greg7635
Modified: 2011-12-15 15:57 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description greg7635 2011-10-19 15:56:23 UTC
The keys in the Windows Registry (= HKEY_LOCAL_MACHINE\SOFTWARE\Apache Software Foundation\Tomcat\7.0\Tomcat7) are not removed after an uninstall of Tomcat 7.0.22.
Comment 1 Mark Thomas 2011-10-19 16:24:22 UTC
This works for me.

I suggest you follow this up on the Tomcat users list.

Please do not re-open this issue unless you can provide full details of how to reproduce this issue with a clean 7.0.22 install / uninstall.
Comment 2 Konstantin Kolinko 2011-10-20 12:49:42 UTC
Reproduced with 7.0.22 on WinXP 32-bit.
It is a typo in 32-bit branch of code.

Fixed by r1186763 and will be in 7.0.23
I'll propose backport for 6.0 and 5.5.
Comment 3 Mark Thomas 2011-10-20 15:29:16 UTC
Ah. I was testing on 64-bit which is why I didn't see it.
Comment 4 Mark Thomas 2011-10-20 15:38:06 UTC
Moving to 6 since fixed in 7.
Comment 5 Mark Thomas 2011-10-31 13:10:54 UTC
Fixed in 6.0.x and will be included in 6.0.34 onwards.

Moving to 5.5.x
Comment 6 Mark Thomas 2011-12-15 15:57:35 UTC
Fixed in 5.5.x and will be included in 5.5.35 onwards.